Webhooks

Webhooks

 

Webhooks can be configured under the developers section on the admin system. This section describes what you can expect to receive from these fired webhooks.

Response Body

The response body will be in this format:

{
  "id": "web_F9BfxMPCHTfez6_Nrh5kB",
  "type": "mandate.updated",
  "status": true,
  "results": [{
    "id": "man_OAwfdynl8xuM0ZI4-L01W",
    ...
  }, ...],
  "webhook_event": "MANDATE_UPDATED",
  "created_at": "2025-10-08T12:05:04.686Z"
}

Response Parameters

Field
Type
Description
Example
idString(25)ID of the webhook that was firedweb_F9BfxMPCHTfez6_Nrh5kB
typeString(64)Type of event that was firedmandate.updated
statusBooleanWhen true, indicates that there were no server errors during the process.true
resultsArrayFor the collection, customer, bank_account, mandate and transaction events the contents of this section always match that of the relevant list API call. If your event type is 'mandate.updated' then results will be in this format, however if the event was 'bank_account.created' then the results will be in this format etc. The charge.* events return a charge payload (see Card Vault Charge), the preauth.* events return a pre_auth payload (see Card Vault Pre-Auth) and the refund.* events return a refund payload (see Refunds).{ "id": "man_Ra4UcxKXTWfuugnbRJVYo", ... }, ...
webhook_eventENUM(BANK_ACCOUNT_CREATED,BANK_ACCOUNT_UPDATED,CHARGE_SUCCESSFUL,CHARGE_FAILED,CHECKOUT_COMPLETED,CHECKOUT_EXPIRED,CHECKOUT_FAILED,COLLECTION_CREATED,COLLECTION_UPDATED,CUSTOMER_CREATED,CUSTOMER_UPDATED,MANDATE_CREATED,MANDATE_UPDATED,PREAUTH_SUCCESSFUL,PREAUTH_FAILED,PREAUTH_CAPTURED,PREAUTH_REVERSED,PREAUTH_EXPIRED,REFUND_SUCCESSFUL,REFUND_FAILED,TRANSACTION_CREATED,TRANSACTION_UPDATED)MANDATE_UPDATED
created_atDate(ISO)Timestamp when the webhook was fired2025-10-08T12:05:04.686Z

Events

These are all possible events:

Collections

  • collection.created
  • collection.updated

Customers

  • customer.created
  • customer.updated

Bank accounts

  • bank_account.created
  • bank_account.updated

Mandates

  • mandate.created
  • mandate.updated

Transactions

  • transaction.created
  • transaction.updated

Checkout

  • checkout.completed
  • checkout.expired
  • checkout.failed

Card vault charge

  • charge.successful
  • charge.failed

Card vault pre-auth

  • preauth.successful
  • preauth.failed
  • preauth.captured
  • preauth.reversed
  • preauth.expired

Refunds

  • refund.successful
  • refund.failed